<?php

namespace App\Http\Requests\Wing;

use Illuminate\Foundation\Http\FormRequest;

class UpdateWingRequest extends FormRequest
{
    public function rules() {
        return [
            'name' => ['sometimes', 'string'],
            'no_floors' => ['sometimes', 'integer'],
            'no_flats' => ['sometimes', 'integer'],
            'no_lifts' => ['sometimes', 'integer'],
            'fire_extinguisher_date' => ['sometimes', 'date_format:Y-m-d'],
        ];
    }

    public function authorize() {
        return true;
    }
}
